## pydevd 2.8.0+git20220826.8ee4065+ds

=== debian/changelog ===
pydevd (2.8.0+git20220826.8ee4065+ds-1ubuntu1) kinetic; urgency=medium

  * Ignore test results, they don't fail in local pbuilder,
    probably some in launchpad builders is restricting reads to /proc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Sep 2022 13:07:26 +0200

pydevd (2.8.0+git20220826.8ee4065+ds-1) unstable; urgency=medium

  * New upstream snapshot
  * Skip another failing test on armel
  * Mark autopkgtests as flaky on architectures other than amd64 and i386
    (closes: #1019151)
  * Improve tests based on Spyder test process

 -- Julian Gilbey <jdg@debian.org>  Mon, 05 Sep 2022 21:56:24 +0100

pydevd (2.8.0+git20220714.32dee0b+dfsg-6) unstable; urgency=medium

  * Add Breaks+Replaces python3-omegaconf (Closes: #1016511)

 -- Julian Gilbey <jdg@debian.org>  Mon, 08 Aug 2022 20:07:18 +0100

pydevd (2.8.0+git20220714.32dee0b+dfsg-5) unstable; urgency=medium

  * Having some new autopkgtest failings; skip these and note them in
    README.Debian

 -- Julian Gilbey <jdg@debian.org>  Thu, 04 Aug 2022 20:33:58 +0100

pydevd (2.8.0+git20220714.32dee0b+dfsg-4) unstable; urgency=medium

  * Add gdb back to autopkgtest dependencies to work around bug#978639 in
    debci

 -- Julian Gilbey <jdg@debian.org>  Thu, 04 Aug 2022 08:06:49 +0100

pydevd (2.8.0+git20220714.32dee0b+dfsg-3) unstable; urgency=medium

  * Move gdb and python3-coverage to Depends of python3-pydevd; remove all
    other Suggests except for pydevd

 -- Julian Gilbey <jdg@debian.org>  Wed, 03 Aug 2022 19:21:25 +0100

pydevd (2.8.0+git20220714.32dee0b+dfsg-2) unstable; urgency=medium

  * Skip some failing tests on mips64el and ppc64el

 -- Julian Gilbey <jdg@debian.org>  Fri, 29 Jul 2022 14:14:06 +0100

pydevd (2.8.0+git20220714.32dee0b+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Fix binary-only build: it must not install /usr/bin/pydevd in the
    python3-pydevd package
  * Improvements to autopkgtest script

 -- Julian Gilbey <jdg@debian.org>  Wed, 27 Jul 2022 21:06:59 +0100

pydevd (2.8.0+git20220602.1b1fb8b+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Julian Gilbey <jdg@debian.org>  Sun, 24 Jul 2022 08:35:58 +0100

pydevd (2.8.0+git20220602.1b1fb8b+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #933070)
  * Initial packaging by William Grzybowski <william@grzy.org> and
    Julian Gilbey <jdg@debian.org>

 -- Julian Gilbey <jdg@debian.org>  Wed, 13 Jul 2022 06:51:12 +0100
