=== debian/control ===
Source: pydevd
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               gdb <!nocheck>,
               libqt5x11extras5 <!nocheck>,
               procps <!nocheck>,
               python3-all-dev,
               python3-bytecode,
               python3-cherrypy3 <!nocheck>,
               python3-coverage <!nocheck>,
               python3-django <!nocheck>,
               python3-flask <!nocheck>,
               python3-gevent <!nocheck>,
               python3-ipython <!nocheck>,
               python3-jinja2 <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-numpy <!nocheck>,
               python3-pandas <!nocheck>,
               python3-psutil <!nocheck>,
               python3-pyqt5 <!nocheck>,
               python3-pyqt5.qtsvg <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-setuptools,
               python3-trio <!nocheck>,
               python3-untangle <!nocheck>,
               txt2man,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/fabioz/PyDev.Debugger/
Vcs-Browser: https://salsa.debian.org/python-team/packages/pydevd
Vcs-Git: https://salsa.debian.org/python-team/packages/pydevd.git

Package: pydevd
Architecture: all
Depends: python3-pydevd (>= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Section: utils
Description: Script to start pydevd debugger
 This script is meant to run pydevd on top of another Python script,
 making it ready to be attached for remote debugging, connecting from
 an IDE, such as PyDev or PyCharm).

Package: python3-pydevd
Architecture: any
Depends: gdb,
         python3-bytecode,
         python3-coverage,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: pydevd
Breaks: python3-omegaconf (<< 2.2.2-1)
Replaces: python3-omegaconf (<< 2.2.2-1)
Description: Debugger used by debugpy
 This is the debugger underlying debugpy, which is used by IPython and
 Spyder, among others.
 .
 Some IDEs already have pydevd bundled with them (such as PyDev or PyCharm);
 you do not need this package if you are using one of them.
 .
 This package can also be used for doing remote debugging, connecting from
 an IDE.
 .
 The command-line "pydevd" tool is available in the separate pydevd package.
