## pydevd 2.9.5%2Bds

=== debian/changelog ===
pydevd (2.9.5+ds-4) unstable; urgency=medium

  * Exclude failing tests on a wider variety of architectures
    (closes: #1029718)

 -- Julian Gilbey <jdg@debian.org>  Sun, 12 Mar 2023 12:36:38 +0000

pydevd (2.9.5+ds-3) unstable; urgency=medium

  * Update README.Debian

 -- Julian Gilbey <jdg@debian.org>  Sat, 11 Feb 2023 21:30:07 +0000

pydevd (2.9.5+ds-2) unstable; urgency=medium

  * Skip one further test on riscv64 (even though it only fails with
    Python 3.10)

 -- Julian Gilbey <jdg@debian.org>  Tue, 03 Jan 2023 18:28:48 +0000

pydevd (2.9.5+ds-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Sun, 01 Jan 2023 22:55:42 +0000

pydevd (2.9.3+ds-2) unstable; urgency=medium

  * Skip further tests failing on mips64el

 -- Julian Gilbey <jdg@debian.org>  Sun, 25 Dec 2022 18:39:25 +0000

pydevd (2.9.3+ds-1) unstable; urgency=medium

  * New upstream version
  * Skip more tests failing on Python 3.11 and some failing with Python
    3.10 with the new python3-bytecode release
  * Skip failing tests on riscv64 (closes: #1024680)
  * Update standards version (no changes required)

 -- Julian Gilbey <jdg@debian.org>  Sat, 24 Dec 2022 21:31:20 +0000

pydevd (2.9.2+ds-4) unstable; urgency=medium

  * Don't build one of the Cython extensions on Python 3.11 - it's not yet
    working there.  (See https://github.com/microsoft/debugpy/issues/939)

 -- Julian Gilbey <jdg@debian.org>  Sun, 20 Nov 2022 19:25:23 +0000

pydevd (2.9.2+ds-3) unstable; urgency=medium

  * Fix Cython code on Python 3.11
  * Exclude 16 tests that fail on Python 3.11 (reported upstream)

 -- Julian Gilbey <jdg@debian.org>  Tue, 15 Nov 2022 22:45:47 +0000

pydevd (2.9.2+ds-2) unstable; urgency=medium

  * Add Breaks clause on older debugpy versions

 -- Julian Gilbey <jdg@debian.org>  Wed, 09 Nov 2022 08:57:20 +0000

pydevd (2.9.2+ds-1) unstable; urgency=medium

  * New upstream version
  * Exclude tests which fail with flask 2.2.2 (Closes: #1020795)
  * Reinstate some previously-failing bytecode tests which have now been
    fixed upstream

 -- Julian Gilbey <jdg@debian.org>  Sun, 06 Nov 2022 13:35:52 +0000
