## pydevd 2.9.5+ds

=== debian/changelog ===
pydevd (2.9.5+ds-4ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore test results, they don't fail in local pbuilder,
      probably some in launchpad builders is restricting reads to /proc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Mar 2023 10:09:13 +0100

pydevd (2.9.5+ds-3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore test results, they don't fail in local pbuilder,
      probably some in launchpad builders is restricting reads to /proc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Feb 2023 15:55:43 +0100

pydevd (2.9.5+ds-2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore test results, they don't fail in local pbuilder,
      probably some in launchpad builders is restricting reads to /proc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Jan 2023 18:39:47 +0100

pydevd (2.9.2+ds-4ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore test results, they don't fail in local pbuilder,
      probably some in launchpad builders is restricting reads to /proc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Dec 2022 09:49:17 +0100

pydevd (2.8.0+git20220826.8ee4065+ds-1ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 18:53:26 +0000
