## pydevd 2.9.6+ds

=== debian/changelog ===
pydevd (2.9.6+ds-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore test results, they don't fail in local pbuilder,
      probably some in launchpad builders is restricting reads to /proc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Jun 2023 19:48:11 +0200

pydevd (2.9.6+ds-1) unstable; urgency=medium

  * New upstream version
  * Exclude failing tests on ppc64 as well (thanks to Sebastian Ramacher
    for catching my error on this)

 -- Julian Gilbey <jdg@debian.org>  Fri, 23 Jun 2023 06:35:37 +0100
