=== debian/rules ===
--- 
+++ 
@@ -35,8 +35,8 @@
 	# Regenerate the Cython C files (though ignore the generated
 	# .so files; they will be compiled for each Python version in
 	# dh_auto_build)
-	python3 setup_pydevd_cython.py build_ext --inplace --force-cython
-	dh_auto_build --buildsystem=pybuild
+	PYBUILD_AFTER_BUILD="cd {build_dir}; {interpreter} setup_pydevd_cython.py build_ext --inplace --force-cython" \
+	    dh_auto_build --buildsystem=pybuild
 	txt2man -t pydevd -P pname -r "pydevd-$(DEB_VERSION_UPSTREAM)" -s 1 -v "" -d "July 2022" debian/manpage/pydevd.txt > debian/manpage/pydevd.1
 
 execute_after_dh_auto_install:
@@ -54,7 +54,7 @@
 	# debian/get_test_exclusions for details.
 	#
 	# * test_matplotlib_activation and test_pandas cause failures due
-	# to a matplotlib warning (that does seem to be easily silenced)
+	# to a matplotlib warning (that does not seem to be easily silenced)
 	# if the build machine has too many fonts on it, so we skip then here
 	# (but not in the autopkgtest suite)
 	#
@@ -65,9 +65,8 @@
 	export PYBUILD_SYSTEM=custom; \
 	export PYBUILD_TEST_ARGS="\
 		cd {build_dir}; \
-		$(CURDIR)/debian/run_tests {interpreter} -m pytest \
+		$(CURDIR)/debian/run_tests $(CURDIR)/debian/get_test_exclusions {interpreter} -m pytest \
 	        --deselect=tests_python/test_debugger.py::test_matplotlib_activation \
-	        --deselect=tests_python/test_debugger_json.py::test_pandas \
-	        $$(debian/get_test_exclusions)"; \
+	        --deselect=tests_python/test_debugger_json.py::test_pandas"; \
 	xvfb-run -a dh_auto_test || true
 endif
