=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libqt5x11extras5 <!nocheck>,
                procps <!nocheck>,
                python3-all-dev,
-               python3-bytecode,
+               python3-bytecode (>= 0.14.0-2),
                python3-cherrypy3 <!nocheck>,
                python3-coverage <!nocheck>,
                python3-django <!nocheck>,
@@ -33,11 +33,16 @@
                txt2man,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fabioz/PyDev.Debugger/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pydevd
 Vcs-Git: https://salsa.debian.org/python-team/packages/pydevd.git
+Description: Debugger used by debugpy
+ This is the debugger underlying debugpy, which is used by IPython and
+ Spyder, among others.
+ .
+ This package can also be used for remote debugging, connecting from an IDE.
 
 Package: pydevd
 Architecture: all
@@ -45,30 +50,25 @@
          ${misc:Depends},
          ${python3:Depends}
 Section: utils
-Description: Script to start pydevd debugger
- This script is meant to run pydevd on top of another Python script,
- making it ready to be attached for remote debugging, connecting from
- an IDE, such as PyDev or PyCharm).
+Description: ${source:Synopsis} (command line script)
+ ${source:Extended-Description}
+ .
+ This package provides the "pydevd" command to run pydevd on another
+ Python script from the command line.
 
 Package: python3-pydevd
 Architecture: any
 Depends: gdb,
-         python3-bytecode,
+         python3-bytecode (>= 0.14.0-2),
          python3-coverage,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
 Suggests: pydevd
-Breaks: python3-omegaconf (<< 2.2.2-1)
+Breaks: python3-debugpy (<< 1.8.0+ds),
+        python3-omegaconf (<< 2.2.2-1)
 Replaces: python3-omegaconf (<< 2.2.2-1)
-Description: Debugger used by debugpy
- This is the debugger underlying debugpy, which is used by IPython and
- Spyder, among others.
+Description: ${source:Synopsis} (command line script)
+ ${source:Extended-Description}
  .
- Some IDEs already have pydevd bundled with them (such as PyDev or PyCharm);
- you do not need this package if you are using one of them.
- .
- This package can also be used for doing remote debugging, connecting from
- an IDE.
- .
- The command-line "pydevd" tool is available in the separate pydevd package.
+ The command line "pydevd" tool is available in the separate pydevd package.
