=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,13 @@
 include /usr/share/dpkg/pkg-info.mk
 export PYBUILD_NAME=pydevd
 
+# This is related to #1040062; see
+# https://lists.debian.org/debian-alpha/2023/10/msg00007.html
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha ia64 x32))
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+else
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+endif
 
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
@@ -14,7 +20,7 @@
 	dh $@ --buildsystem=pybuild
 
 _pydevd_bundle/pydevd_runpy.py:
-	libdir=/usr/lib/$$(debian/py3versions_min.py); \
+	libdir=/usr/lib/$$(py3versions --min-supported); \
 	    cp $$libdir/runpy.py _pydevd_bundle/pydevd_runpy.py
 	patch -p1 < debian/runpy.patch
 
@@ -32,10 +38,10 @@
 	cd pydevd_attach_to_process/linux_and_mac && \
 	    g++ $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -shared \
 	      -o ../attach.so -fPIC -nostartfiles attach.cpp
-	# Regenerate the Cython C files (though ignore the generated
-	# .so files; they will be compiled for each Python version in
-	# dh_auto_build)
-	PYBUILD_AFTER_BUILD="cd {build_dir}; {interpreter} setup_pydevd_cython.py build_ext --inplace --force-cython" \
+	# Regenerate and recompile the Cython C files.  If the compilation
+	# fails, that's OK - the pydevd scripts will fall back on a
+	# slower Python implementation instead.
+	PYBUILD_AFTER_BUILD="cd {build_dir}; {interpreter} setup_pydevd_cython.py build_ext --inplace --force-cython || true" \
 	    dh_auto_build --buildsystem=pybuild
 	txt2man -t pydevd -P pname -r "pydevd-$(DEB_VERSION_UPSTREAM)" -s 1 -v "" -d "July 2022" debian/manpage/pydevd.txt > debian/manpage/pydevd.1
 
@@ -60,13 +66,16 @@
 	#
 	# * The http_proxy settings are to disable the proxies that pybuild
 	# introduces; the tests set up and use a local http server.
-	export PYDEVD_USE_CYTHON=YES; \
+	compiled=$(shell build_dir=$$(pybuild --print build_dir | cut -d: -f2 | cut -c2-); ls $$build_dir/_pydevd_bundle | grep 'pydevd_cython.*.so'); \
 	export http_proxy=""; \
 	export PYBUILD_SYSTEM=custom; \
 	export PYBUILD_TEST_ARGS="\
 		cd {build_dir}; \
+		if [ -n \"$$compiled\" ]; then \
+			export PYDEVD_USE_CYTHON=YES; else \
+			export PYDEVD_USE_CYTHON=NO; fi; \
 		$(CURDIR)/debian/run_tests $(CURDIR)/debian/get_test_exclusions {interpreter} -m pytest \
 	        --deselect=tests_python/test_debugger.py::test_matplotlib_activation \
 	        --deselect=tests_python/test_debugger_json.py::test_pandas"; \
-	xvfb-run -a dh_auto_test || true
+	xvfb-run -a dh_auto_test
 endif
