## pydevd 3.1.0+ds

=== debian/changelog ===
pydevd (3.1.0+ds-2ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - refresh runpy.patch to work with runpy from Python3.12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jul 2024 08:42:47 +0200
