## pydevd 3.3.0+ds

=== debian/changelog ===
pydevd (3.3.0+ds-4ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:22:51 +0000

pydevd (3.3.0+ds-4ubuntu1) questing; urgency=medium

  * Ignore two additional tests failing in Ubuntu env

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 May 2025 09:32:54 +0200

pydevd (3.3.0+ds-4) unstable; urgency=medium

  * Skip failing tests on alpha, hurd-amd64 and sparc64

 -- Julian Gilbey <jdg@debian.org>  Wed, 02 Apr 2025 10:16:21 +0100

pydevd (3.3.0+ds-3) unstable; urgency=medium

  * Skip failing test on loong64; patch from zhangdandan
    <zhangdandan@loongson.cn> (closes: #1101809)

 -- Julian Gilbey <jdg@debian.org>  Tue, 01 Apr 2025 17:06:25 +0100

pydevd (3.3.0+ds-2) unstable; urgency=medium

  * Source-only upload

 -- Julian Gilbey <jdg@debian.org>  Sun, 30 Mar 2025 23:07:56 +0100

pydevd (3.3.0+ds-1) unstable; urgency=medium

  * New upstream version (closes: #1077521, #1019965)
  * Drop distutils
  * Locally vendor bytecode package to match upstream setup (may be
    necessary for some debugging cases)
  * Merge pydevd package into python3-pydevd; an extra package for a
    single script now seems unnecessary

 -- Julian Gilbey <jdg@debian.org>  Sun, 02 Mar 2025 14:07:14 +0000
