## pydevd 3.4.1%2Bds

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds//,\
  repack,repacksuffix=+ds,\
  uversionmangle=s/_/\./g \
  https://github.com/fabioz/PyDev.Debugger/tags \
  (?:.*/)?pydev_debugger_(.*)\.tar\.gz debian
