## pydevd 3.4.1+ds

=== debian/changelog ===
pydevd (3.4.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update debian/patches/improve-compilation-system.patch
  * Refresh all patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 28 Oct 2025 13:18:41 -0700
