=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>
-Build-Depends: cython3,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
+               cython3,
                gdb <!nocheck>,
                libqt5x11extras5 <!nocheck>,
                procps <!nocheck>,
@@ -33,7 +33,7 @@
                txt2man,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fabioz/PyDev.Debugger/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pydevd
@@ -44,31 +44,18 @@
  .
  This package can also be used for remote debugging, connecting from an IDE.
 
-Package: pydevd
-Architecture: all
-Depends: python3-pydevd (>= ${binary:Version}),
-         ${misc:Depends},
-         ${python3:Depends}
-Section: utils
-Description: ${source:Synopsis} (command line script)
- ${source:Extended-Description}
- .
- This package provides the "pydevd" command to run pydevd on another
- Python script from the command line.
-
 Package: python3-pydevd
 Architecture: any
 Depends: gdb,
-         python3-bytecode (>= 0.14.0-2),
          python3-coverage,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Suggests: pydevd
 Breaks: python3-debugpy (<< 1.8.0+ds),
         python3-omegaconf (<< 2.2.2-1)
-Replaces: python3-omegaconf (<< 2.2.2-1)
-Description: ${source:Synopsis} (command line script)
+Conflicts: pydevd
+Replaces: pydevd,
+          python3-omegaconf (<< 2.2.2-1)
+Built-Using: ${pydevd:Built-Using}
+Description: ${source:Synopsis}
  ${source:Extended-Description}
- .
- The command line "pydevd" tool is available in the separate pydevd package.
