=== debian/rules ===
--- 
+++ 
@@ -24,14 +24,20 @@
 	    cp $$libdir/runpy.py _pydevd_bundle/pydevd_runpy.py
 	patch -p1 < debian/runpy.patch
 
-execute_before_dh_auto_clean: _pydevd_bundle/pydevd_runpy.py
-	# setup.py clean requires pydevd_runpy.py to be present
+_pydevd_frame_eval/vendored/bytecode/__init__.py:
+	cd _pydevd_frame_eval/vendored && \
+	    cp -a /usr/lib/python3/dist-packages/bytecode . && \
+	    python3 pydevd_fix_code.py
+
+execute_before_dh_auto_clean: _pydevd_bundle/pydevd_runpy.py _pydevd_frame_eval/vendored/bytecode/__init__.py
+	# setup.py clean requires pydevd_runpy.py and bytecode to be present
 
 execute_after_dh_clean:
 	rm -f _pydevd_bundle/pydevd_runpy.py
+	rm -rf _pydevd_frame_eval/vendored/bytecode
 
-execute_before_dh_auto_configure: _pydevd_bundle/pydevd_runpy.py
-	# setup.py config requires pydevd_runpy.py to be present
+execute_before_dh_auto_configure: _pydevd_bundle/pydevd_runpy.py _pydevd_frame_eval/vendored/bytecode/__init__.py
+	# setup.py config requires pydevd_runpy.py and bytecode to be present
 
 override_dh_auto_build:
 	# This shared library is Python-version agnostic
@@ -45,14 +51,9 @@
 	    dh_auto_build --buildsystem=pybuild
 	txt2man -t pydevd -P pname -r "pydevd-$(DEB_VERSION_UPSTREAM)" -s 1 -v "" -d "July 2022" debian/manpage/pydevd.txt > debian/manpage/pydevd.1
 
-execute_after_dh_auto_install:
-	# usr/bin needs to be moved from debian/python3-pydevd to debian/pydevd
-	# dh_install will move it from debian/tmp
-	-mkdir -p debian/tmp/usr
-	mv debian/python3-pydevd/usr/bin debian/tmp/usr
-
 override_dh_python3:
 	dh_python3 --no-ext-rename
+	echo "pydevd:Built-Using=python-bytecode (= $$(dpkg-query -f='$${Version}' -W python3-bytecode))" >> debian/python3-pydevd.substvars
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
