=== debian/tests/control ===
--- 
+++ 
@@ -31,8 +31,9 @@
          xauth,
          xvfb,
          @
+Architecture: amd64 i386
 
-Test-Command: debian/tests/pytest --flaky
+Test-Command: debian/tests/pytest
 Depends: gdb,
          libqt5x11extras5,
          procps,
@@ -57,4 +58,5 @@
          xauth,
          xvfb,
          @
+Architecture: !amd64 !i386
 Restrictions: flaky
